<?php defined('SYSPATH') or die('No direct script access.');
 
class Controller_UserEnvi extends Controller {
    protected $UserInfo;
    
    public function before()
    {
        if(!Auth::isLoggedIn())
        {
            $this->redirect('sign', 302);
        }
        else 
        {
            $model = new Model_Account;
            $user = Auth::getData();
            $this->UserInfo = $model->getPersonalInfoByID($user['ID'])->offsetGet(0);
            $this->UserInfo += $model->getAccountInfoByID($user['ID'])->offsetGet(0);
            $this->UserInfo['EMail'] = $this->UserInfo['E-Mail'];
            unset($this->UserInfo['E-Mail']);
            unset($this->UserInfo['ID']);
            unset($this->UserInfo['Type']);
            $directory = $this->request->directory();
            if(!empty($directory) && UTF8::strcasecmp($this->request->directory(), $user['Type']))
                    throw HTTP_Exception::factory(403, 'Не пытайтесь попасть туда, куда попадать не следует.');
        }
    }
    
    public function action_index()
    {
        $page = Request::factory($this->UserInfo['AccountType'].'/index')->execute();
        $this->response->body($page);
    }
    
    public function action_profile()
    {
        $url = $this->UserInfo['AccountType']."/profile";
        if(!empty($type))
            $url .= '/'.$type;
        if(!empty($id))
            $url .= '/'.$id;
        $page = Request::factory($url)->execute();
        $this->response->body($page);
    }
	
    public function action_settings()
    {
        $page = Request::factory($this->UserInfo['AccountType'].'/settings')->execute();
        $this->response->body($page);
    }
}
